Skip to main content
DELETE
/
metrics
/
{metric_id}
/
thresholds
/
{threshold_id}
Delete metric threshold
curl --request DELETE \
  --url https://api.coval.dev/v1/metrics/{metric_id}/thresholds/{threshold_id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.coval.dev/v1/metrics/{metric_id}/thresholds/{threshold_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.coval.dev/v1/metrics/{metric_id}/thresholds/{threshold_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{}
{
  "error": {
    "code": "UNAUTHENTICATED",
    "message": "Authentication failed",
    "details": [
      {
        "field": "X-API-Key",
        "description": "Invalid or missing API key"
      }
    ]
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Metric not found",
    "details": [
      {
        "field": "metric_id",
        "description": "No metric found with this ID"
      }
    ]
  }
}
{
  "error": {
    "code": "INTERNAL",
    "message": "Internal server error"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

metric_id
string
required

22-character metric ID

Pattern: ^[a-zA-Z0-9]{22}$
threshold_id
string
required

26-character threshold ID (ULID)

Required string length: 26

Response

Threshold deleted successfully

The response is of type object.